
#include "BVHTool.h"





using namespace jbxl;
using namespace jbxwl;





//////////////////////////////////////////////////////////////////////////////////////////////////////


void  CBVHTool::clearData(void)
{
	if (bvh_joints!=NULL) ::freeFrameData(bvh_joints, bvh_frmnum);

	bvh_joints = NULL;
	bvh_frmnum = 0;
}



void  CBVHTool::init()
{
	bvh_joints = NULL;
	bvh_frmnum = 0;

	frameData  = frame_data;
}



void  CBVHTool::clearJointsData(double val)
{
//	clearStartPosition();

	for (int i=0; i<NI_JOINT_NUM; i++) {
		posVect[i].init(val);
		rotQuat[i].init(val);
	}
}




/////////////////////////////////////////////////////////////////////////////////////
//
//
//


NiJointData*  CBVHTool::getFrameData(int frmnum) 
{ 
	for (int j=0; j<NI_JOINT_NUM; j++) {
		frameData[j].joint = -1;
		frameData[j].index = -1;
		frameData[j].vect.init();
		frameData[j].quat.init();
	}
	
	return frameData;
}